VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Filter Mail"
   ClientHeight    =   4290
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   4290
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Filter 4"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   1920
      Width           =   975
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Filter 3"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   975
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Filter 2"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   975
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Filter 1"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   975
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Select Outlook Express's Inbox and then click the filter buttons"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub ApplyFilter(ByVal txt_from As String, ByVal txt_subject As String)
Dim stop_time As Single
Dim i As Integer

    ' Activate Outlook Express.
    AppActivate "Inbox - Outlook Express", True

    ' Alt-E, F, M opens the find dialog.
    SendKeys "%E", True
    SendKeys "F", True
    SendKeys "M", True

    SendKeys "{TAB 3}", True        ' Three tabs.
    SendKeys txt_from, True         ' From:
    SendKeys "{TAB 2}", True        ' Three tabs.
    SendKeys txt_subject, True      ' Subject:
    SendKeys "{ENTER}", True        ' Search.

    ' Wait a while for the search to finish.
    stop_time = Timer + 1
    Do While Timer < stop_time
        DoEvents
    Loop

    ' Alt-E, A select all messages.
    SendKeys "%E", True
    SendKeys "A", True

    ' Let the user review the list and manually delete if desired.
    'SendKeys "{DELETE}", True       ' Delete.
    'SendKeys "{ESC}", True          ' Escape.
End Sub

Private Sub Command1_Click()
    ApplyFilter "Mail Delivery Subsystem", "Returned mail: User unknown"
End Sub


Private Sub Command2_Click()
    ApplyFilter "Mail Delivery Subsystem", "Returned mail: Service unavailable"
End Sub


Private Sub Command3_Click()
    ApplyFilter "itservices@mintek.ac.za", "PureMessage has processed a suspicious mail"
End Sub


Private Sub Command4_Click()
    ApplyFilter "", "Delivery Status"
End Sub


